<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('shopee_seller_categories', function (Blueprint $table) {
            $table->id();
            $table->string('seller');
            $table->foreignId('category_id');
            $table->timestamp('last_ai_written_at')->nullable();
            $table->integer('write_counts')->default(0);
            $table->timestamps();
            $table->foreign('category_id')->references('id')->on('categories');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('shopee_seller_categories');
    }
};
